Difference between revisions of "MediaWiki:Vector.css"

From ZeTranslation
Jump to: navigation, search
Line 11: Line 11:
 
#mw-page-base {
 
#mw-page-base {
 
background-color: #1f2531;
 
background-color: #1f2531;
 +
color: #acb0b8;
 
}
 
}
  
div#content {
+
#content.mw-body {
 
background-color: #252c3c;
 
background-color: #252c3c;
 
border-color: #5983c3;
 
border-color: #5983c3;

Revision as of 19:09, 3 August 2020

/* CSS placed here will affect users of the Vector skin */

/*@darkmode-table-background-color: #ddd;
@darkmode-border-color: #cdcbc8;
@darkmode-link-color: #69f;
@darkmode-link-visited-color: #709bbd;
@darkmode-red-link-color: #ff6e6e;*/

html,
body,
#mw-page-base {
	background-color: #1f2531;
	color: #acb0b8;
}

#content.mw-body {
	background-color: #252c3c;
	border-color: #5983c3;
}

/* "Default mode" link */
#pt-darkmode-link a:before {
	content: '\263C'; /* Sun icon */
}

&,
img,
video,
svg,
iframe,	/* some maps are iframes */
.mw-no-invert,
.mw-mmv-overlay,
.mw-mmv-pre-image,
.mw-kartographer-map,
.mw-kartographer-mapDialog-map {
	filter: invert( 1 ) hue-rotate( 180deg );
	-webkit-filter: invert( 1 ) hue-rotate( 180deg );
}

/* Backgrounds */
.toc,
.thumbinner,
#simpleSearch,
#searchInput,
#searchButton,
#searchGoButton,
table,
table.toccolours,
.wikitable,
.mw-notification {
	background-color: #ddd;
}

/* Borders */
body,
#mw-head,
#mw-panel,
#content.mw-body,
h1,
h2,
h3,
h4,
h5,
h6,
.toc,
div.thumbinner,
#simpleSearch,
#searchInput,
table.toccolours,
.mw-notification {
	border-color: #cdcbc8;
}

.thumbimage {
	border: 0;
}

/* Normal links */
a,
#mw-panel .portal .body li a,
.toctogglelabel,
.mw-parser-output a.external,
.mw-parser-output a.extiw,
.mw-parser-output a.extiw:active {
	color: #69f;
}

/* Visited links */
a:visited,
#mw-panel .portal .body li a:visited {
	color: #709bbd;
}

/* Red links */
a.new,
.new a {
	color: #ff6e6e;
}

/**
 * Skin-specific overrides
 */

.vectorTabs li a {
	color: #69f;
}

/**
 * Non-MediaWiki overrides
 */

.infobox, /* English Wikipedia, most other wikis with infoboxes */
.infobox_v2 { /* French/Portuguese Wikipedia, etc. */
	background-color: #ddd;
	border-color: #cdcbc8;
}

/* Maintenance templates you see atop some articles */
.ambox-content {
	background-color: #ddd;
	border-color: #cdcbc8;
}